<?

	$rootpath = '../';
	require_once '../includes/start.php';
	require_once '../includes/function.php';
	require_once '../includes/header1.php';
	$id_theme=$_GET['id'];
	$t1 = mysql_query("SELECT * FROM `forum_theme` WHERE `id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($id_theme)))))))."'");
	$t = mysql_fetch_array($t1);
	if($level==0 OR $t['name']=='' OR $t['type']==1 OR $ban!=0){
 		echo "<title>Доступ закрыт!!!</title>";
	 	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	 	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
		echo '<div class="blok3"><img src="/images/errors.png" width="200px"/></div><div class="blok3"><b>Вы не авторизованный или заблокированный пользователь или вы не достигли условий для доступа на страницу!!!</b><br/><a href="/?sign_in=1"><font color="#4EEE94"><b>Авторизуйтесь</font></a></b> или <a href="/reg.php"><font color="#4EEE94"><b>Зарегистрируйтесь</b></font></a></div>';
   }else{
   	echo "<title>Ответить</title>";
	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
   	echo '<div class="razd"></div>';
	div('<a href="index.php"><b>Форум</b></a> | <b><a href="postlist.php?id='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($id_theme))))))).'">'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($t['name']))))))).'</a></b> | <font color="#4EEE94"><b>Ответ</b></font>','top-nav1');
	echo '<div class="razd"></div>';
	if(!$_POST)
	{
			echo '<center><div class="window">';
			echo '<form action="" method="POST">';
			echo 'Сообщение:<br/><font color="#FF0000">(Введите минимум 5 букв или символов)</font><br/><input type="text" value="'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($_GET['r']))))))).'" name="text" /> <input type="submit" name="submit" value="Написать"/></form>';
			echo '</div>';
	}
	else
	{
			$text = check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($_POST['text'])))))));
			$lastpost=mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_posts` WHERE `uid` = '".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($use_id)))))))."' AND `text`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($text)))))))."' AND `time`>=$realtime-300;"), 0);
$error = false;
if( trim($_POST['text']) =='')

{
  
  $error = $error. 'Внесите информацию в поле: <font color="#4EEE94"><ins><b>Сообщение</b></ins></font><br/>';
    
}

if(!empty($_POST['text']) && (mb_strlen($_POST['text']) > 100 || mb_strlen($_POST['text']) < 5 || mb_strlen($_POST['text']) > 20))

{

	$error = $error. 'Введите в поле: <font color="#4EEE94"><ins><b>Сообщение</b></ins></font>  минимум <font color="#4EEE94">[5]</font> букв или символов<br/>';
  
}

if(!empty($_POST['text']) && (preg_match('/[^a-zA-Zа-яА-Я0-9]+/=:',$_POST['text'])))
  
   
{
    
	$error = $error. 'Поле: <font color="#4EEE94"><b>Сообщение</b></font> содержит запрещенные символы<br/>';
    
}

if($lastpost > 0)

{
	
	$error = $error . 'Не повторяйте ваши сообщения<br/>';
	  
}

if ($level == 0)

{

	$error = $error . 'Вы не авторизированны<br />';
}

if (empty($error))

		{
			mysql_query("INSERT INTO `forum_posts` SET
			            `uid`='" . check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($use_id))))))) . "',
						`time`='" . time() . "',
						`id_theme`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($id_theme)))))))."',
			            `text`='" . check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($text))))))) . "';");
						
			mysql_query("UPDATE `forum_theme` SET
						`msgs`=msgs+1, `lasttime`='".time()."' WHERE `id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($id_theme)))))))."';");
				
						
header("Location: postlist.php?id=".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($id_theme)))))))."&page=".(intval($t['msgs']/10)+1)."&");
		}
		else
		{
			echo "<div class=\"blok3\"><b>" . $error ."</b></div>";
		}
	}
	echo '<div class="razd"></div>';
	echo '<div class="blok"><a href="postlist.php?id='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($id_theme))))))).'"><b>Назад</b></a></div>';
}
	echo '<div class="razd"></div>';
	echo '<center><div class="blok2"><a href="../"><b>На Главную</b></a></div></center>';
	echo '<div class="razd"></div>';
	require_once '../includes/footer1.php';
?>